Jump to content


Photo

Error cross-compiling oscam


  • Please log in to reply
14 replies to this topic

#1 dax

  • Senior Member
  • 196 posts

0
Neutral

Posted 26 February 2019 - 15:00

Hi, I have a full up-to-date openpli dev branch environment. If i run

bitbake enigma2-plugin-softcams-oscam

I get

| cmake: error while loading shared libraries: libidn2.so.4: cannot open shared object file: No such file or directory

I'm using archlinux os with libidn2 2.1.1-2.

Any hits?

Thanks



Re: Error cross-compiling oscam #2 WanWizard

  • Forum Moderator
    PLi® Core member
  • 48,468 posts

+824
Excellent

Posted 26 February 2019 - 17:00

Related to https://bbs.archlinu...c.php?id=243505 ?


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), SAB Alpha Triple HD (S2+T2), Zgemma H3.T2C (T/C), Zgemma H6 (fallback), VU+Zero (fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: Error cross-compiling oscam #3 dax

  • Senior Member
  • 196 posts

0
Neutral

Posted 26 February 2019 - 17:36

I read but... "After the update this changed to '/usr/lib/libidn2.so.4'." So i don't known

Have you installed on your system libidn2.so.4? From which package is provided?



Re: Error cross-compiling oscam #4 WanWizard

  • Forum Moderator
    PLi® Core member
  • 48,468 posts

+824
Excellent

Posted 26 February 2019 - 17:50

OpenPLi buildservers run a 32-bit Ubuntu 16.04, my own buildserver runs a 64-bit CentOS 7 with gcc devtoolsets. On both I can't find libidn2.

 

It seems to be an Archlinux specific issue, more info: https://forum.manjar...not-found/76201 ?


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), SAB Alpha Triple HD (S2+T2), Zgemma H3.T2C (T/C), Zgemma H6 (fallback), VU+Zero (fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: Error cross-compiling oscam #5 dax

  • Senior Member
  • 196 posts

0
Neutral

Posted 27 February 2019 - 09:38

Thanks a lot WanWizard, the symlink fix my problem

ln -s /usr/lib/libidn2.so.0.3.5 /usr/lib/libidn2.so.4

Now the next step :)

Is it possible to compile oscam from a local folder instead of download from git/svn?

I put my patched source in

/home/davide/openpli_dev/openpli-oe-core/meta-openpli/recipes-openpli/enigma2-softcams/enigma2-plugin-softcams-oscam/oscam-svn/

But how to adjust the recipe? I try a lot of features but no success...

require conf/license/openpli-gplv2.inc
require softcam.inc
inherit cmake


DESCRIPTION = "OScam ${PV} Open Source Softcam"
LICENSE = "GPLv3"
LIC_FILES_CHKSUM = "file://COPYING;md5=d32239bcb673463ab874e80d47fae504"

SRC_URI = "file://oscam-svn"


DEPENDS = "libusb openssl"


B = "${S}"
CAMNAME = "oscam"
CAMSTART = "/usr/bin/oscam --wait 0 --config-dir /etc/tuxbox/config/oscam --daemon --pidfile /tmp/oscam.pid --restart 2 --utf8"
CAMSTOP = "kill \`cat /tmp/oscam.pid\` 2> /dev/null"

SRC_URI += " \
	file://oscam.conf \
	file://oscam.server \
	file://oscam.srvid \
	file://oscam.user \
	file://oscam.provid"

CONFFILES = "/etc/tuxbox/config/oscam/oscam.conf /etc/tuxbox/config/oscam/oscam.server /etc/tuxbox/config/oscam/oscam.srvid /etc/tuxbox/config/oscam/oscam.user /etc/tuxbox/config/oscam/oscam.provid"

FILES_${PN} = "/usr/bin/oscam /etc/tuxbox/config/oscam/* /etc/init.d/softcam.oscam"

EXTRA_OECMAKE += "\
	-DOSCAM_SYSTEM_NAME=Tuxbox \
	-DWEBIF=1 \
	-DWITH_STAPI=0 \
	-DHAVE_LIBUSB=0 \
	-DSTATIC_LIBUSB=0 \
	-DWITH_SSL=0 \
	-DIPV6SUPPORT=0 \
	-DCLOCKFIX=1 \
	-DHAVE_PCSC=0"

do_install() {
	install -d ${D}/etc/tuxbox/config/oscam
	install -m 0644 ${WORKDIR}/oscam.* ${D}/etc/tuxbox/config/oscam/
	install -d ${D}/usr/bin
	install -m 0755 ${B}/oscam ${D}/usr/bin
}

Edited by dax, 27 February 2019 - 09:39.


Re: Error cross-compiling oscam #6 WanWizard

  • Forum Moderator
    PLi® Core member
  • 48,468 posts

+824
Excellent

Posted 27 February 2019 - 11:00

You can use:

SRCREV_pn-enigma2-plugin-softcams-oscam = "5f0a168fa97ae739946e6dcc61e81325136a24a6"
PV_pn-enigma2-plugin-softcams-oscam = "svn11434"
PKGV_pn-enigma2-plugin-softcams-oscam  = "svn11434"
SRC_URI_pn-enigma2-plugin-softcams-oscam = "git:///some/local/directory/oscam-mirror.git file://oscam.conf file://oscam.server file://oscam.srvid file://oscam.user file://oscam.provid"
S_pn-enigma2-plugin-softcams-oscam = "${WORKDIR}/git"

to build from a local git repo.

 

You need to manually set the SRCREV, PV and PKGV according to the version you have locally. 

 

Create a bbappend in your meta-local to override the recipe settings with this.


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), SAB Alpha Triple HD (S2+T2), Zgemma H3.T2C (T/C), Zgemma H6 (fallback), VU+Zero (fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: Error cross-compiling oscam #7 dax

  • Senior Member
  • 196 posts

0
Neutral

Posted 28 February 2019 - 23:20

Ok, and for download a specific rev from the 'main' git?



Re: Error cross-compiling oscam #8 WanWizard

  • Forum Moderator
    PLi® Core member
  • 48,468 posts

+824
Excellent

Posted 28 February 2019 - 23:38

Set the SRCREV to the required git commit hash. I don't think the PV and PKGV are relevant anymore, since I've adapted the oscam config scripts to derive the SVN version from the git commit log.


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), SAB Alpha Triple HD (S2+T2), Zgemma H3.T2C (T/C), Zgemma H6 (fallback), VU+Zero (fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: Error cross-compiling oscam #9 dax

  • Senior Member
  • 196 posts

0
Neutral

Posted 1 March 2019 - 23:27

If i set

SRCREV = "8ec000dfa18eeaaf2b6fccf9b70d3bbf09bde32d"
PV = "git${SRCPV}"
PKGV = "git${GITPKGV}"
SRC_URI = "git://github.com/OpenVisionE2/oscam.git;protocol=https"

it doesn' t work. It is related to this changeset

https://github.com/O...70d3bbf09bde32d

Besides where i can see the rev number in git page? I mean, in the oscam timeline is very simple i see changeset (nr) but on git?

Thanks



Re: Error cross-compiling oscam #10 WanWizard

  • Forum Moderator
    PLi® Core member
  • 48,468 posts

+824
Excellent

Posted 2 March 2019 - 00:34

I have no clue what you are doing, or trying to do.

 

That is where our recipe builds from, and if you build from openpli-develop, the SRCREV will be set to AUTOREV. There is no need to set the PV and the PKGV, as I said before.

 

I've build a new develop image a few hours ago, and that builds svn r11505 just fine. If not you have a local build issue, and I'd like to see the errors...


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), SAB Alpha Triple HD (S2+T2), Zgemma H3.T2C (T/C), Zgemma H6 (fallback), VU+Zero (fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: Error cross-compiling oscam #11 dax

  • Senior Member
  • 196 posts

0
Neutral

Posted 2 March 2019 - 21:02

Maybe i was not clear enough. Everything is working well in my openpli develop branch environment.

Is it possible by editing 'enigma2-plugin-softcam-oscam.bb' to download a specific oscam revision, for example 11500, instead of the last 11505??

For sure yes, but how?



Re: Error cross-compiling oscam #12 blzr

  • PLi® Core member
  • 2,040 posts

+99
Good

Posted 2 March 2019 - 21:41

you can try to pin oscam to preferred commit hash in /meta-openpli/conf/distro/reporefs.conf

Edited by blzr, 2 March 2019 - 21:43.

True sarcasm doesn't need green font...

Re: Error cross-compiling oscam #13 dax

  • Senior Member
  • 196 posts

0
Neutral

Posted 2 March 2019 - 22:21

Thanks blzr. Change

SRCREV_pn-enigma2-plugin-softcams-oscam ??= "${AUTOREV}"

to

SRCREV_pn-enigma2-plugin-softcams-oscam ??= "5f0a168fa97ae739946e6dcc61e81325136a24a6"

do the trick



Re: Error cross-compiling oscam #14 WanWizard

  • Forum Moderator
    PLi® Core member
  • 48,468 posts

+824
Excellent

Posted 2 March 2019 - 23:28

The idea is that you override in your meta-local, it is not advised to change files under version control, it will make future updates a lot more complex.


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), SAB Alpha Triple HD (S2+T2), Zgemma H3.T2C (T/C), Zgemma H6 (fallback), VU+Zero (fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: Error cross-compiling oscam #15 dax

  • Senior Member
  • 196 posts

0
Neutral

Posted 2 March 2019 - 23:33

The idea is that you override in your meta-local, it is not advised to change files under version control, it will make future updates a lot more complex.

Ok, thanks.






0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users